30 'INPUTS BUILDING DIMENSIONS PLUS CONSTRUCTION AND THICKNESS
40 'OF BASEMENT, LIVING AREA WALLS, UPPER CEILING AND ROOF.
45 'INPUTS TYPE & THICKNESS OF INSULATION - WINDOWS & DOORS.
50 'USES ENG. HANDBOOK (ESHBACH, MARK) DATA FOR HEAT TRANSFER
60 'COEFFICIENTS. INPUTS HEATING REQ'TS. (DEGREE-DAYS) AS GIVEN.
70 ' INTEGRATES AREA UNDER DELTA T VS TIME CURVE
80 'TO COMPUTE HEAT LOSS (BTU). CONVERTS TO FUEL USE FOR ANY
90 'TYPE OF HEATING.
200 GOSUB4000
260 CLS
270 PRINT"Building Style & Dimensions"
280 PRINT"Slab (0) or Basement(1)?":GOSUB5000:F1=QQ
290 IF F1=1THEN300ELSE 310
300 INPUT"Exposed basement wall height (ft)";BH
310 INPUT"First floor wall perimeter (ft)";W1
320 INPUT"Height (ft)";W2
330 INPUT"Second floor wall perimeter if any (ft)";W3
340 INPUT"Height (ft)";W4
350 INPUT"Exposed roof plan area (sq ft)";RP
360 INPUT"Roof pitch (deg)";PD
370 CLS
380 BA=W1*BH
390 AW=W1*W2+W3*W4
400 RA=RP/COS(PD*.0175)
410 PRINT"Interior wall matl:0-None,1-Plaster,2-Wood?"
420 GOSUB5000:M1=QQ
430 INPUT"Thickness(in)";T1
440 PRINT"Wall insul:0-None,1-Fbrgls,2-Loose,3-Reflective,4-Foam?"
450 GOSUB5000:M2=QQ
460 IFM2=3THEN470ELSE480
470 INPUT"How many reflective sheets";N2:GOTO520
480 INPUT"Thickness(in)";T2
490 IFW=1THEN500
500 IF W=1 PRINT T2;" Inches wall insul"
510 IF W=1 THEN 620
520 PRINT"Sheathing:0-None,1-Wood,2-Composition?"
530 GOSUB5000:M3=QQ
540 INPUT"Thickness(in)";T3
550 PRINT"Ext wall:0-Shingle or clbd,1-Log,2-Ins alum,3-Brick,4-Stone?"
560 GOSUB5000:M4=QQ
570 INPUT"Thickness(in)";T4
580 CLS
590 PRINT"Upper ceiling:0-None,1-Plaster,2-Acoustic tile?"
600 GOSUB5000:M5=QQ
610 INPUT"Thickness(in)";T5
620 PRINT"Ceiling insul:0-None,1-Fbrgls,2-Loose,3-Reflective?"
630 GOSUB5000:M6=QQ
640 IFM6=3THEN650ELSE660
650 INPUT"How many refl sheets";N6:GOTO710
660 INPUT"Thickness(in)";T6
670 IF W=1 THEN 740
680 IFY=1THEN690
690 IF Y=1 PRINT T6;" Inches ceiling insul"
700 IFY=1THEN740
710 PRINT"Attic floor:0-None,1-Wood?"
720 GOSUB5000:M7=QQ
730 INPUT"Thickness(in)";T7
740 PRINT"Roof insul:0-None,1-Fbrgls,2-Rigid foam,3-Reflective?"
750 GOSUB5000:M8=QQ
760 IFM8=3THEN770ELSE780
770 INPUT"How many refl sheets";N8:GOTO830
780 INPUT"Thickness(in)";T8
790 IF W=1 THEN 870
800 IFY=1THEN810
810 IF Y=1 PRINT T8;" Inches roof insul"
820 IF Y=1 THEN 870
830 PRINT"Roofing:0-Wood+asphalt shingles?"
840 GOSUB5000:M9=QQ
850 INPUT"Thickness(in)";T9
860 CLS
870 INPUT"Number windows of equiv 3 x 5 size";NW
880 INPUT "With storm windows";NS
890 INPUT "Number ext doors of equiv 3-ft width";ND
900 INPUT"With storm doors";NX
910 IFM1=0 R1=0
920 IFM1=1 R1=.7*T1
930 IFM1=2 R1=1.25*T1
940 IFM2=0 R2=.68
950 IFM2=1 R2=3.2*T2
960 IFM2=2 R2=3.7*T2
970 IFN2=1 R2=2.17
980 IFN2=2 R2=4.35
990 IFN2=3 R2=6.78
1000 IFM2=4 R2=6*T2
1010 IFM3=0 R3=0
1020 IFM3=1 R3=1.25*T3
1030 IFM3=2 R3=2.63*T3
1040 IFM4=0 R4=.9
1050 IFM4=1 R4=1.25*T4
1060 IFM4=2 R4=1.5
1070 IFM4=3 R4=.2*T4
1080 IFM4=4 R4=.08*T4
1090 IFM5=0 R5=0
1100 IFM5=1 R5=.7*T5
1110 IFM5=2 R5=2.38*T5
1120 IFM6=0 R6=0
1130 IFM6=1 R6=3.2*T6
1140 IFM6=2 R6=3.7*T6
1150 IFN6=1 R6=2.17
1160 IFN6=2 R6=4.35
1170 IFN6=3 R6=6.78
1180 IFM7=0 R7=0
1190 IFM7=1 R7=1.25*T7
1200 IFM8=0 R8=0
1210 IFM8=1 R8=3.2*T8
1220 IFM8=2 R8=6*T8
1230 IFN8=1 R8=2.17
1240 IFN8=2 R8=4.35
1250 IFN8=3 R8=6.78
1260 IFM9=0 R9=.15+1.25*T9
1270 CLS
1280 UW=1/(.68+R1+R2+R3+R4+.17)
1290 PRINT"Heat loss thru walls=";UW;" btu/sqft/hr/deg"
1300 UR=1/(.62+R5+R6+R7+.62+R8+R9+.17)
1310 PRINT"Heat loss thru ceiling & roof=";UR;" btu/sqft/hr/deg"
1320 RF=.8:UF=1/(.68+RF+.17)
1330 PRINT"Heat loss thru basement walls=";UF;" btu/sqft/hr/deg"
1340 WA=AW-NW*15-ND*20
1350 U1=1/(.68+.17):PRINT"Heat loss thru reg windows=";U1;" b/sf/h/d"
1360 U2=1/(.68+.68+.17):PRINT"Heat thru wind w/storms=";U2;" b/sf/h/d"
1370 U3=.43:PRINT"Heat loss thru reg doors=";U3;" b/sf/h/d"
1380 U4=.28:PRINT"Heat thru doors w/storms=";U4;" b/sf/h/d"
1390 IF Y=1 THEN 1430
1400 IF W=1 THEN 1430
1410 INPUT"Degree-days";DD
1420 LF=DD/6350
1430 RESTORE:BT=0
1440 INPUT"Inside temp (deg F)";IT
1460 CLS
1470 QW=WA*UW:QR=RA*UR:QB=BA*UF
1480 Q1=(NW-NS)*U1*15:Q2=NS*U2*15:Q3=(ND-NX)*U3*20:Q4=NX*U4*20
1490 QT=(QW+QR+QB+Q1+Q2+Q3+Q4)*24
1500 ON ERROR GOTO 1570
1510 READ TA,D
1520 DT=IT-TA
1530 IFDT<0 THEN DT=0
1540 BD=QT*DT*D*LF
1550 BT=BT+BD
1560 GOTO1500
1570 BD=BT/(6350*LF)
1580 PRINT"Heat loss=";BD;" btu/d-d"
1600 PRINT"Heat loss=";BT;" btu for ";DD;" d-d heating season"
1620 PRINT"Type of heat: 0-Oil,1-Gas,2-Elec,3-Wood,4-Coal?"
1630 GOSUB5000:TH=QQ
1640 IF TH=0 THENFC=BT/(130000*.75)
1650 IF TH=0 THEN FD=FC/(6350*LF)
1660 IF TH=1 THEN GC=BT/(1050000*.67)
1670 IF TH=1 THEN GD=GC/(6350*LF)
1680 IF TH=2 THEN EC=BT/3412
1690 IF TH=2 THEN ED=EC/(6350*LF)
1700 IF TH=3 THEN WC=BT/(27000000*.5)
1710 IF TH=3 THEN WD=WC/(6350*LF)
1720 IF TH=4 THEN CC=BT/(25400000*.5)
1730 IF TH=4 THEN CD=CC/(6350*LF)
1740 IF TH=0 PRINT"Fuel consuption=";FD;" gal/d-d"
1760 IF TH=0 PRINT"Fuel consumption="FC;" gal for ";DD;" d-d  season"
1780 IF TH=1 PRINT"Gas consumption=";GD;" 1000 cu ft/d-d"
1800 IFTH=1 PRINT"Gas consumption=";GC;" 1000 cu ft for ";DD;" d-d season"
1820 IF TH=2 PRINT"Elec use=";ED;" kwhr/d-d"
1840 IFTH=2PRINT"Elec use=";EC;" kwhr for ";DD;" d-d season"
1860 IF TH=3 PRINT"Wood use= ";WD;" cords/d-d"
1880 IF TH=3 PRINT"Wood use= ";WC;" cords for ";DD;" d-d season"
1900 IF TH=4 PRINT"Coal use= ";CD;" tons/d-d"
1920 IF TH=4 PRINT"Coal use= ";CC;" tons for ";DD;" d-d season"
1940 PRINT:PRINT"Another inside temp?":GOSUB5000:Z=QQ
1960 IF Z=1 RESUME 1430
1970 INPUT "Press enter to continue";F$
1980 PRINT"Effect of added storm windows and doors?":GOSUB5000:X=QQ
1990 IFX=1THEN2000ELSE 2050
2000 INPUT"Number storm windows";NS:PRINTNS;" storm windows"
2020 INPUT"Number storm doors";NX:PRINTNX;" storm doors"
2040 RESUME 1430
2050 INPUT"Press enter to continue";F$
2060 PRINT"Effect of added ceiling or roof insulation?":GOSUB5000:Y=QQ
2070 IF Y=1 THEN 2080ELSE 2090
2080 RESUME 620
2090 INPUT"Press enter to continue";F$
2100 PRINT"Effect of added wall insulation?":GOSUB5000:W=QQ
2110 IFW=1 THEN 2120ELSE 2140
2120 RESUME 440
2130 PRINT:PRINT
2140 CLS:PRINT"Thank you for performing an energy audit."
2170 PRINT"Please contact me if you have further questions."
2190 PRINT:PRINT"A. A. Le Shane, RR 2 Box 28, Portland, CT 06480"
2210 DATA64.6,31
2220 DATA61.5,30
2230 DATA52.6,31
2240 DATA41.3,30
2250 DATA28.2,31
2260 DATA24.8,31
2270 DATA26.8,28
2280 DATA35.6,31
2290 DATA47.7,30
2300 DATA57.7,31
2310 DATA64.2,30
2320 END
4000 CLS:PRINT"---------- H E A T I N G  E N E R G Y  A U D I T ----------"
4010 PRINT"   This program computes the heating fuel requirements
4020 PRINT"(oil, gas, coal, wood, elec.) for a defined heating
4030 PRINT"season (degree-days) based on inputs as to house size,
4040 PRINT"construction, etc.  While it is intended primarily to
4050 PRINT"show changes in such requirements for added insulation,
4060 PRINT"storm windows, etc., it has been found to be quite ac-
4070 PRINT"curate in the absolute sense as well.
4080 PRINT:PRINT"  You will be asked to supply the inputs on the fol-
4090 PRINT"lowing two pages.  You may want to review and compile
4100 PRINT"these input values before running the program.
4110 PRINT:INPUT"Press <enter> to continue";Z
4120 CLS:PRINT"------------- I N P U T  Q U A N T I T I E S -------------"
4130 PRINT"Slab or basement                Walls:"
4140 PRINT"Dimensions:                      Interior surface:"
4150 PRINT"Exposed base. Wall height,ft     None, Plaster, Wood"
4160 PRINT"1st fl. wall perimeter, ft        Thickness, in."
4170 PRINT"             Height, ft          Wall insulation:"
4180 PRINT"2nd fl. wall per.(if any),ft     None, Fibgls, Loose, Foam"
4190 PRINT"             Height, ft           Thickness, in."
4200 PRINT"Roof plan area, sq ft            Reflective-- No. sheets"
4210 PRINT"Roof pitch angle, deg            Sheathing:"
4220 PRINT"Openings:                        None, Wood, Composition"
4230 PRINT"No. windows (equiv. 3 X 5)        Thickness, in."
4240 PRINT"No. with storm windows           Siding:"
4250 PRINT"No. exterior doors               Wood, Log,Insul. alum.,
4260 PRINT"No. with storm doors             Brick, Stone (thick., in.)
4270 INPUT"Press <enter> to continue";Z
4280 CLS:PRINT"Upper ceiling:                 Roofing:"
4290 PRINT"None, Plaster, Acoustic         Wood + asph. shingles"
4300 PRINT" Thickness, in.                   Thickness, in."
4310 PRINT"Ceiling insulation:"
4320 PRINT"None, Fibgls, Loose            Type of heat:"
4330 PRINT" Thickness                       Oil"
4340 PRINT"Reflective -- No. sheets         Gas"
4350 PRINT"Attic floor:                     Wood"
4360 PRINT"None, Wood (thick., in.)         Coal"
4370 PRINT"Roof insulation:                 Electricity"
4380 PRINT"None, Fibgls, Foam"
4390 PRINT" Thickness, in.                 Normal season degree-days"
4400 PRINT"Reflective -- No. sheets        (see next page)
4405 PRINT"                                Normal inside temp. (deg F)"
4410 INPUT"Press <enter> to continue";Z
4420 CLS:PRINT"------- T Y P I C A L  N O R M A L  D E G R E E-D A Y S -------"
4430 PRINT"Mobile, AL  1684     Portland, ME  7498     Cincin., OH  5070"
4440 PRINT"Juneau, AK  9007     Boston, MA  5621       Portland, OR  4792"
4450 PRINT"Phoenix, AZ  1552    Duluth, MN  9756       Pitts. PA  5930
4460 PRINT"Los Ang., CA  1819   St. Louis, MO  4750    Sioux F, SD  7838"
4470 PRINT"San Fran, CA  3042   Gt. Falls, MT  7652    Memphis, TN  3227"
4480 PRINT"Denver, CO  6016     Omaha, NE  6049        Dallas, TX  2382"
4490 PRINT"Hartford, CT  6350   Reno, NV  6022         Burl'tn, VT  7876"
4500 PRINT"Wash., DC  4211      Concord, NH  7360      Richmond, VA  3939"
4510 PRINT"Atlanta, GA  3095    Albuq., NM  4292       Seattle, WA  5185"
4520 PRINT"Chicago, IL  6497    N. Y., NY  4848        Milwauk., WI 7444"
4530 PRINT"Des Mns., IA  6710   Buffalo, NY  6927      Charls., WV  4590"
4540 PRINT"Louisvl., KY  4645   raleigh, NC  3514      Cheyenne, WY  7255"
4550 PRINT"New Or., LA  1465    Bismarck, ND  9044     Honolulu, HI  0"
4560 INPUT"Press <enter> to continue";Z
4570 RETURN
5000 Q$=INKEY$:IFQ$=""THEN5000
5010 QQ=VAL(Q$):IFQ$="Y"ORQ$="y"THENQQ=1
5020 RETURN
